Skip to main content
POST
Link a database to an app

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

service_id
string
required

App service ID (UUID) or short id (the service_id field)

Body

application/json
binding_type
enum<string>
required
Available options:
database
resource_id
string<uuid>
required

A running managed database of this account

env_prefix
string

Prefix for the variables, uppercase letters, digits and underscores (default DATABASE). Give a second database its own prefix.

Response

Linked; the app redeploys with the new settings

success
boolean
binding
object

A managed database linked to an app.

Last modified on October 19, 2026